# Introduction

Welcome to the Auroris - Simplifying Drug Discovery Data Curation

--- 

## What is Auroris?

Auroris is a comprehensive Python library designed to assist researchers and scientists in managing, cleaning, and preparing data relevant to drug discovery. Our mission is to implement a range of techniques to handle, transform, filter, analyze, or visualize the diverse data types commonly encountered in drug discovery.


## Where to next?
---

**:fontawesome-solid-rocket:  Quickstart**

Dive deeper into the Auroris code and learn how to curate data for your ML-powered drug discovery program. 

[:material-arrow-right: Let's get started](./tutorials/getting_started.ipynb)

---

**:fontawesome-solid-code:  API Reference**

Explore the technical documentation here to delve into the inner workings of the code. Gain insights into the intricate details of how different methods and classes function.

[:material-arrow-right: Let's get started](./api/curator.md)

---

**:fontawesome-solid-comments:  Community**

We're excited to have you join us in revolutionizing drug discovery data curation! Explore Auroris and the broader Polaris ecosystem it is part of, provide feedback, share your use cases, and collaborate with us to enhance and expand the capabilities of Auroris for the benefit of the drug discovery community.

[:material-arrow-right: Let's get started](https://discord.gg/vBFd8p6H7u)

---